<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta http-equiv="x-ua-compatible" content="ie=edge">
		<title>Hello World!</title>
		<meta name="description" content="">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<style>
				.container { min-height: 100vh; display: flex; justify-content: center; align-items: center; text-align: center; }
				.title { font-family: "Source Sans Pro", "Helvetica Neue", Arial, sans-serif; display: block; font-weight: 300; font-size: 100px; color: #35495e; letter-spacing: 1px; }
				.subtitle { font-family: "Source Sans Pro", "Helvetica Neue", Arial, sans-serif; font-weight: 300; font-size: 42px; color: #526488; word-spacing: 5px; padding-bottom: 15px; }
				.links { padding-top: 15px; }
		</style>
	</head>
	<body>
		<section class="container">
			<div>
				<h1 class="title">
					🖖 Hello <label></label> 🤖
				</h1>
				<h2 class="subtitle">
					made with 💚 and deployed 🚀 on K3S
				</h2>        
			</div>
		</section>
		<script>
			setInterval(function() {
				fetch("api/weather")
					.then(response => response.json())
					.then(data => {
						console.log(data)
						document.querySelector("h2").innerHTML = JSON.stringify(data)
					})
			},1000)

			fetch("api/hello")
				.then(response => response.json())
				.then(data => {
					console.log(data)
					document.querySelector("label").innerHTML = data.pod
				})          
		</script>
	</body>
</html>  

